it.csi.mddtools.guigen

## Interface JumpExtCommand

- All Superinterfaces:
    Command, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface JumpExtCommand
      extends Command

  A representation of the model object 'Jump Ext Command'. Permette di far passare il flusso di esecuzione ad una pagina esterna all'applicativo.

  The following features are supported:

  - `Static Url`
  - `Runtime Url Provider`
  - `Location Code`
  - `Binary Stream`
  See Also:
    `GuigenPackage.getJumpExtCommand()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getLocationCode()` Returns the value of the 'Location Code' attribute
    `ApplicationData` | `getRuntimeUrlProvider()` Returns the value of the 'Runtime Url Provider' reference
    `java.lang.String` | `getStaticUrl()` Returns the value of the 'Static Url' attribute
    `boolean` | `isBinaryStream()` Returns the value of the 'Binary Stream' attribute.
    `void` | `setBinaryStream(boolean value)` Sets the value of the '`Binary Stream`' attribute
    `void` | `setLocationCode(java.lang.String value)` Sets the value of the '`Location Code`' attribute
    `void` | `setRuntimeUrlProvider(ApplicationData value)` Sets the value of the '`Runtime Url Provider`' reference
    `void` | `setStaticUrl(java.lang.String value)` Sets the value of the '`Static Url`' attribute

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getStaticUrl

          java.lang.String getStaticUrl()

      Returns the value of the 'Static Url' attribute.

      If the meaning of the 'Static Url' attribute isn't clear, there really should be more of a description here...

      Se specificato l'effetto del comando sarà la redirezione del flusso applicativo all'url specificato.
      Returns:
        the value of the 'Static Url' attribute.
      See Also:
        `setStaticUrl(String)`, `GuigenPackage.getJumpExtCommand_StaticUrl()`

    - #### setStaticUrl

          void setStaticUrl(java.lang.String value)

      Sets the value of the '`Static Url`' attribute.
      Parameters:
        `value` - the new value of the 'Static Url' attribute.
      See Also:
        `getStaticUrl()`

    - #### getRuntimeUrlProvider

          ApplicationData getRuntimeUrlProvider()

      Returns the value of the 'Runtime Url Provider' reference.

      If the meaning of the 'Runtime Url Provider' reference isn't clear, there really should be more of a description here...

      Se specificato il flusso applicativo verrà rediretto all'url fornito dinamicamente (a runtime) dall'application data specificato.
      Returns:
        the value of the 'Runtime Url Provider' reference.
      See Also:
        `setRuntimeUrlProvider(ApplicationData)`, `GuigenPackage.getJumpExtCommand_RuntimeUrlProvider()`

    - #### setRuntimeUrlProvider

          void setRuntimeUrlProvider(ApplicationData value)

      Sets the value of the '`Runtime Url Provider`' reference.
      Parameters:
        `value` - the new value of the 'Runtime Url Provider' reference.
      See Also:
        `getRuntimeUrlProvider()`

    - #### getLocationCode

          java.lang.String getLocationCode()

      Returns the value of the 'Location Code' attribute.

      If the meaning of the 'Location Code' attribute isn't clear, there really should be more of a description here...

      codice identificativo della locazione. A solo scopo menmonico. deve essere univoco all'interno del ContentPanel.
      Returns:
        the value of the 'Location Code' attribute.
      See Also:
        `setLocationCode(String)`, `GuigenPackage.getJumpExtCommand_LocationCode()`

    - #### setLocationCode

          void setLocationCode(java.lang.String value)

      Sets the value of the '`Location Code`' attribute.
      Parameters:
        `value` - the new value of the 'Location Code' attribute.
      See Also:
        `getLocationCode()`

    - #### isBinaryStream

          boolean isBinaryStream()

      Returns the value of the 'Binary Stream' attribute. The default value is `"false"`.

      Se impostato a true indica che l'url referenziato produce uno stream binario. Utilizzato solo da alcune cartucce. Default=false.

      Returns:
        the value of the 'Binary Stream' attribute.
      See Also:
        `setBinaryStream(boolean)`, `GuigenPackage.getJumpExtCommand_BinaryStream()`

    - #### setBinaryStream

          void setBinaryStream(boolean value)

      Sets the value of the '`Binary Stream`' attribute.
      Parameters:
        `value` - the new value of the 'Binary Stream' attribute.
      See Also:
        `isBinaryStream()`